Bug 914426 - racoon2: FTBFS in rawhide
racoon2: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: racoon2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
:
: 993191 (view as bug list)
Depends On:
Blocks: 850290 895942 F19FTBFS 955458 F20FTBFS 995743 995745
  Show dependency treegraph
 
Reported: 2013-02-22 05:15 EST by Dennis Gilmore
Modified: 2014-04-02 05:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: racoon2-20100526a-28.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-02 05:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 05:15:42 EST
Your package racoon2 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4978954

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/8954/4978954/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/8954/4978954/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/8954/4978954/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Pavel Šimerda (pavlix) 2013-02-22 08:23:24 EST
Confirming a known problem of not being able to rebuild racoon2. I don't have much time to sort it out, so if anyone comes to this bug report, any help appreciated.
Comment 2 Fedora End Of Life 2013-04-03 13:09:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Petr Pisar 2013-10-03 05:49:48 EDT
*** Bug 993191 has been marked as a duplicate of this bug. ***
Comment 4 Pavel Šimerda (pavlix) 2014-01-07 07:20:45 EST
Help would be appreciated.
Comment 5 Pavel Šimerda (pavlix) 2014-01-07 07:56:33 EST
Failed rawhide build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=488749

Failed f18 build (same commit):

http://koji.fedoraproject.org/koji/buildinfo?buildID=488756

Successful el6 build (same commit):

http://koji.fedoraproject.org/koji/buildinfo?buildID=488757

Last successful f18 build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=341140

(No code changes since then AFAIK.)
Comment 6 Pavel Šimerda (pavlix) 2014-02-17 11:45:24 EST
So the fix was pretty easy, just needed to delete a line from lib/cftoken.l.
Comment 7 Fedora Update System 2014-03-07 06:02:00 EST
racoon2-20100526a-27.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/racoon2-20100526a-27.fc19
Comment 8 Fedora Update System 2014-03-07 22:36:26 EST
Package racoon2-20100526a-27.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing racoon2-20100526a-27.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3616/racoon2-20100526a-27.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-03-15 11:12:11 EDT
Package racoon2-20100526a-28.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing racoon2-20100526a-28.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3616/racoon2-20100526a-28.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-04-02 05:25:50 EDT
racoon2-20100526a-28.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.